# $Revision: 1.22.2.2 $, $Date: 2011/10/18 07:21:54 $
Summary:	Map widget for Clutter
Summary(pl.UTF-8):	Widget mapy dla Cluttera
Name:		libchamplain
Version:	0.8.3
Release:	1
License:	LGPL v2
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libchamplain/0.8/%{name}-%{version}.tar.bz2
# Source0-md5:	fde36107e35618d754c22a0e6e2186c1
URL:		http://projects.gnome.org/libchamplain/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.4.0
BuildRequires:	clutter-devel >= 1.2.0
BuildRequires:	clutter-gtk-devel >= 0.10.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	glibc-misc
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.6.3
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	libdrm-devel
BuildRequires:	libsoup-gnome-devel >= 2.26.0
BuildRequires:	libtool
BuildRequires:	memphis-devel >= 0.2.1
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	sqlite3-devel >= 3.0
BuildRequires:	xorg-proto-glproto-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%description -l pl.UTF-8
Libchamplain jest biblioteką C, której celem jest dostarczenie
interfejcu ClutterActor do wyświetlania rastrowych map.

%package devel
Summary:	Header files for the libchamplain library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libchamplain
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	clutter-devel >= 1.0.0
Requires:	clutter-gtk-devel >= 0.10.0
Requires:	glib2-devel >= 1:2.16.0
Requires:	gtk+2-devel >= 2:2.12.0
Requires:	memphis-devel >= 0.2.1
Requires:	sqlite3-devel >= 3.0

%description devel
Header files for the libchamplain library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libchamplain.

%package apidocs
Summary:	libchamplain API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libchamplain
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libchamplain API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libchamplain

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-static \
	--disable-silent-rules \
	--enable-gtk \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libchamplain-0.8.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchamplain-0.8.so.1
%attr(755,root,root) %{_libdir}/libchamplain-gtk-0.8.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchamplain-gtk-0.8.so.1
%{_libdir}/girepository-1.0/Champlain-0.8.typelib
%{_libdir}/girepository-1.0/GtkChamplain-0.8.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libchamplain-0.8.so
%attr(755,root,root) %{_libdir}/libchamplain-gtk-0.8.so
%{_includedir}/libchamplain-0.8
%{_includedir}/libchamplain-gtk-0.8
%{_pkgconfigdir}/champlain-0.8.pc
%{_pkgconfigdir}/champlain-gtk-0.8.pc
%{_pkgconfigdir}/champlain-memphis-0.8.pc
%{_datadir}/gir-1.0/Champlain-0.8.gir
%{_datadir}/gir-1.0/GtkChamplain-0.8.gir
%{_datadir}/vala/vapi/*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libchamplain
%{_gtkdocdir}/libchamplain-gtk

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libchamplain.spec,v $
Revision 1.22.2.2  2011/10/18 07:21:54  lisu
- updated to 0.8.3
- BR: libdrm-devel

Revision 1.22.2.1  2011/06/17 07:50:44  lisu
- dropped libtool files
- rel 2

Revision 1.22  2011/03/22 08:14:33  caleb
- Up to 0.8.2

Revision 1.21  2011/02/12 21:22:44  sls
- BR: clutter-devel >= 1.2.0 (required gir files)

Revision 1.20  2011/01/19 15:00:13  caleb
- Up to 0.8.1

Revision 1.19  2010/11/25 14:32:51  hawk
- release 2

Revision 1.18  2010/09/28 19:51:16  megabajt
- updated to 0.8.0 (new soname)

Revision 1.17  2010/08/23 21:48:21  hawk
- release 2

Revision 1.16  2010/07/12 21:52:40  caleb
-m Up to 0.6.1

Revision 1.15  2010/04/06 13:45:40  sparky
- BR: docbook-dtd412-xml, xorg-proto-glproto-devel

Revision 1.14  2010/03/24 08:26:53  megabajt
- updated to 0.4.5

Revision 1.13  2010/02/20 17:37:14  sparky
- dropped erroneous BR: libdrm-devel, xorg-lib-libXxf86vm-devel,
  xorg-proto-dri2proto-devel (pulled by clutter-gtk.pc -> ... -> gl.pc)

Revision 1.12  2010/02/20 16:50:01  sparky
- rel 2

Revision 1.11  2010/02/20 16:49:01  sparky
- BR: libdrm-devel, xorg-lib-libXxf86vm-devel, xorg-proto-dri2proto-devel

Revision 1.10  2010/01/29 13:02:53  patrys
- 0.4.4

Revision 1.9  2010/01/27 13:47:48  sparky
- BR: gir-repository-devel, glibc-misc, python-modules

Revision 1.8  2010/01/27 09:33:32  megabajt
- updated to 0.4.3

Revision 1.7  2009/11/12 12:57:01  patrys
- don't require gir-repository-devel

Revision 1.6  2009/11/12 12:04:34  patrys
- rebuild
- rel 2

Revision 1.5  2009/10/31 15:59:46  megabajt
- updated to 0.4.2

Revision 1.4  2009/09/14 21:18:27  patrys
- 0.4.0

Revision 1.3  2009/08/12 08:07:24  patrys
- 0.3.90

Revision 1.2  2009/08/01 23:24:31  patrys
- 0.3.5

Revision 1.1  2009/06/16 18:35:07  patrys
- initial PLD release

